<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 04/18/2004 *
 * ================                             Last change: 04/18/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-admins_edit.php                             *
 * -------------------------------------------------------------------- *
 * Short description : Edit admin accounts                              *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Admin-Account editieren                          *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!IS_ADMIN())) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), '/inc') + 4) . '/security.php';
	require($INC);
}

// Add description as navigation point
ADD_DESCR('admin', __FILE__);

// Set selection data to empty array when it is empty
if (!REQUEST_ISSET_POST('sel')) REQUEST_SET_POST('sel', array());

// Check if direct admin account was selected
if (REQUEST_ISSET_GET('admin')) {
	// Secure ID number
	$aid = bigintval(REQUEST_GET('admin'));

	// Set required fields
	REQUEST_SET_POST('edit', "1");
	REQUEST_SET_POST(array('sel', $aid), "1");
}

if ((REQUEST_ISSET_POST('edit')) && (SELECTION_COUNT(REQUEST_POST('sel')) > 0)) {
	// Edit account(s)
	ADMINS_EDIT_ADMIN_ACCOUNTS(REQUEST_POST_ARRAY());
} elseif ((REQUEST_ISSET_POST('change')) && (count(REQUEST_POST('login')) > 0)) {
	// Change admin accounts
	ADMINS_CHANGE_ADMIN_ACCOUNT(REQUEST_POST_ARRAY());
} elseif ((REQUEST_ISSET_POST('del')) && (SELECTION_COUNT(REQUEST_POST('sel')) > 0)) {
	// Show admin accounts for deletetion
	ADMINS_DELETE_ADMIN_ACCOUNTS(REQUEST_POST_ARRAY());
} else {
	if ((REQUEST_ISSET_POST('remove')) && (SELECTION_COUNT(REQUEST_POST('sel')) > 0)) {
		// Remove accounts now
		ADMINS_REMOVE_ADMIN_ACCOUNTS(REQUEST_POST_ARRAY());
	}

	// List all admin accounts
	ADMINS_LIST_ADMIN_ACCOUNTS();
}

//
?>
